QoreClassHierarchyIterator Class Referencefinal

iterates the class hierarchy in the order of constructor execution More...

`#include <QoreClass.h>`

## Public Member Functions

DLLEXPORT | QoreClassHierarchyIterator (const QoreClass &cls)
| creates the iterator; call next() to start iterating
DLLEXPORT | ~QoreClassHierarchyIterator ()
| destroys the object
DLLEXPORT const QoreClass & | get () const
| returns the parent class
DLLEXPORT bool | isVirtual () const
| returns true if the class has virtual inheritance, meaning that it is a builtin class without its own private data More...
DLLEXPORT bool | next ()
| returns advances to the next element (or to the first element if starting to iterate) and returns true if there is an element to query or returns false if at the end of the list
DLLEXPORT bool | valid () const
| returns true if the iterator is pointing at a valid element

## Detailed Description

iterates the class hierarchy in the order of constructor execution

See also
  QoreClassDestructorHierarchyIterator

Since
  Qore 0.9

## Member Function Documentation

## isVirtual()

DLLEXPORT bool QoreClassHierarchyIterator::isVirtual | ( |  | ) | const

returns true if the class has virtual inheritance, meaning that it is a builtin class without its own private data

if true, compatible private data is supplied by a child class

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h